import { CharStream, CommonTokenStream, Token } from 'antlr4ng';
import { CandidatesCollection } from 'antlr4-c3';
import { PlSqlLexer } from '../lib/plsql/PlSqlLexer';
import { PlSqlParser, ProgramContext } from '../lib/plsql/PlSqlParser';
import { BasicSQL } from './common/basicSQL';
import { Suggestions } from './common/types';
export declare class PLSQL extends BasicSQL<PlSqlLexer, ProgramContext, PlSqlParser> {
    protected createLexerFromCharStream(charStreams: CharStream): PlSqlLexer;
    protected createParserFromTokenStream(tokenStream: CommonTokenStream): PlSqlParser;
    protected preferredRules: Set<number>;
    protected get splitListener(): any;
    protected createEntityCollector(input: string, caretTokenIndex?: number): any;
    protected processCandidates(candidates: CandidatesCollection, allTokens: Token[], caretTokenIndex: number): Suggestions<Token>;
}
