import { PlSqlLexer } from '../lib/plsql/PlSqlLexer';
import { PlSqlParser } from '../lib/plsql/PlSqlParser';
import { BasicSQL } from './common/basicSQL';
export class PLSQL extends BasicSQL {
    constructor() {
        super(...arguments);
        this.preferredRules = new Set();
    }
    createLexerFromCharStream(charStreams) {
        return new PlSqlLexer(charStreams);
    }
    createParserFromTokenStream(tokenStream) {
        return new PlSqlParser(tokenStream);
    }
    get splitListener() {
        return null;
    }
    createEntityCollector(input, caretTokenIndex) {
        return null;
    }
    processCandidates(candidates, allTokens, caretTokenIndex) {
        return {
            syntax: [],
            keywords: [],
        };
    }
}
